#ifdef        GLOBALS_APP_CAN
    #define   EXTERN_APP_CAN   


      
#else
    #define   EXTERN_APP_CAN     extern
#endif

#ifndef APP_CAN_H_
#define APP_CAN_H_
  
  extern                    INT8U    CanMsg1CFFBE18_On;
  EXTERN_API_LCD   const    INT8U    RadarInfo[][2];
  EXTERN_APP_CAN     void            App_CheckCanDrop(void);
  #pragma CODE_SEG OTHER_ROM	  
  EXTERN_APP_CAN     void            App_GetNormalData(void);	  
  EXTERN_APP_CAN     INT8U           bsp_CANSendExtFrame (INT32U id,INT8U priority,INT8U length,INT8U *txdata);	  
  EXTERN_APP_CAN     void            App_SendCANMsg(void);	 
  EXTERN_APP_CAN     void            bsp_CAN_BusOff(void); 
  EXTERN_APP_CAN     void            bsp_CAN_Sleep(void);
  EXTERN_APP_CAN     void            bsp_tx_msgbuf_abort(void);
  EXTERN_APP_CAN     void            bsp_CAN_SleepRelease(void);
  EXTERN_APP_CAN     void            App_ChcekSleep(void);
  EXTERN_API_CAN     void            GetConnectInfo(MULCANMSG *pMulCanMsg,INT8U * pCanBuf);
  EXTERN_API_CAN     void            UpdateDtcTbl(MULCANMSG *pMulCanMsg,DTC *pDtcTable,INT8U *pDtcCnt);
  EXTERN_API_CAN     INT8U           GetMulDTC(MULCANMSG *pMulCanMsg,INT8U * pCanBuf);       
  #pragma CODE_SEG DEFAULT	  
#endif /* APP_CAN_H_ */